#
# $Id: gs.rps $
# Spec file for Aladdin Ghostscript 6.01
#
# This file is not maintained by Aladdin Enterprises.
#
# The intention of this package is to allow someone to update
# Ghostscript from an older GNU Ghostscript version to a later
# Aladdin Ghostscript version.
# Note that Aladdin Ghostscript has a different licence to
# GNU Ghostscript.   You can not include Aladdin Ghostscript
# in a linux distribution that is distributed commercially.
#
# This package should work with older Linux releases.
# Consequently, it depends only on the ghostscript-fonts and 
# does not depend on any other fonts that might be installed.
# This may mean that a second copy of Type 1 fonts are installed
# just for Ghostscript, but this is the price of backward compatibility.
# Where possible, the Ghostscript paths are unchanged from those 
# specified in the Ghostscript unix makefile.
# Shared zlib and libpng libraries are not used.
# The ghostscript-N.N-config.patch file *deliberately* has
# minimal changes to the Makefile.  Please do not change this.
#
# See Make.htm#Linux for details of how to build the spec files.
#
# For each new version of Ghostscript, you will need to change 
#   Version:
#   Source[0-3]:
#   Patch:
#   Patch1:
#   directory renaming of 3rd party libraries in %prep
#   update the patch files.
#
# 6.01 release
# 2000-03-20 Russell Lang <gsview@ghostgum.com.au>
#
Summary: PostScript interpreter and renderer
Name: ghostscript
Version: 6.01
Release: 1
Copyright: Aladdin Free Public License, Aladdin Enterprises
Group: Applications/Graphics
Source0: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs601/ghostscript-%{version}.tar.gz
Source1: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs601/ghostscript-%{version}jpeg.tar.gz
Source2: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs601/ghostscript-%{version}libpng.tar.gz
Source3: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs601/ghostscript-%{version}zlib.tar.gz
Patch: ghostscript-%{version}-config.patch
# comment out the following line if no post release patches are available.
#Patch1: ghostscript-%{version}-post.patch
URL: http://www.cs.wisc.edu/~ghost/
#Icon: ghost.gif
#Distribution: Unknown
Vendor: Aladdin Enterprises
Packager: Russell Lang <gsview@ghostgum.com.au>
Requires: ghostscript-fonts
BuildRoot: /var/tmp/ghostscript-root

%description
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for colour printers), and popular graphics
file formats.

%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/gs%{version}
mkdir $RPM_BUILD_DIR/gs%{version}
#
# unpack main sources
%setup -n gs%{version}
#
# unpack jpeg
%setup -T -D -a 1 -n gs%{version}
# For gs 5.50 and later, rename jpeg subdirectory
mv $RPM_BUILD_DIR/gs%{version}/jpeg-6b  $RPM_BUILD_DIR/gs%{version}/jpeg
#
# unpack libpng
%setup -T -D -a 2 -n gs%{version}
# For gs 5.50 and later, rename libpng subdirectory
#mv $RPM_BUILD_DIR/gs%{version}/libpng-1.0.2  $RPM_BUILD_DIR/gs%{version}/libpng
#mv $RPM_BUILD_DIR/gs%{version}/libpng-1.0.3  $RPM_BUILD_DIR/gs%{version}/libpng
mv $RPM_BUILD_DIR/gs%{version}/libpng-1.0.5  $RPM_BUILD_DIR/gs%{version}/libpng
#
# unpack zlib
%setup -T -D -a 3 -n gs%{version}
# For gs 5.50 and later, rename zlib subdirectory
mv $RPM_BUILD_DIR/gs%{version}/zlib-1.1.3  $RPM_BUILD_DIR/gs%{version}/zlib
#
# copy the makefile, then patch the new copy
cp $RPM_BUILD_DIR/gs%{version}/src/unix-gcc.mak $RPM_BUILD_DIR/gs%{version}/Makefile
cp $RPM_BUILD_DIR/gs%{version}/Makefile $RPM_BUILD_DIR/gs%{version}/Makefile.backup
%patch  -p1 -b .config
# apply the post release patches (comment out following line if none)
#%patch1  -p1 -b .post


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,doc}
make install prefix=$RPM_BUILD_ROOT/usr
ln -sf gs.1 $RPM_BUILD_ROOT/usr/man/man1/ghostscript.1
ln -sf gs $RPM_BUILD_ROOT/usr/bin/ghostscript
strip $RPM_BUILD_ROOT/usr/bin/gs


%files
%defattr(-, root, root)
/usr/doc/ghostscript-%{version}
/usr/bin/*
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{version}
/usr/share/ghostscript/%{version}/lib
/usr/share/ghostscript/%{version}/examples
/usr/man/*/*

%changelog
* Mon Mar 20 2000 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 6.01 release
  Added RPM_OPT_FLAGS
  Added more Ghostscript devices.
* Sun Feb 13 2000 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 6.0 release
  Built under RedHat 5.1.
  Objective is to make this RPM as portable as possible.
  Minimal changes to Makefile.
  This is an Aladdin release, not GNU.
